#!/bin/sh

. variables.sh

if [ ! -f ../INSTALL.fvwm -o ! -d ../../fvwm-$FVWM_VERSION ]; then
    echo "It Does not seem that fvwm-ewmh is in the good directory:"
    echo "fvwm-ewmh-$VERSION/ must be at the head of the fvwm-$FVWM_VERSION source tree"
    echo "!!!!!!!!! apply-patch FAIL !!!!!!!!!!"
    exit 0
fi

cd ../

if [ "x$1" == "xreverse" ]; then
	echo "reverse fvwm-ewmh patches"
	if [ ! -f configure.ewmh-save ]; then
	    echo "It Does not seem that fvwm-ewmh is applied to your source tree"
	    echo "!!! apply-patch reverse FAIL !!!"
	    exit 0
	fi
	rm -rf modules/$MODULE
	mv -f fvwm/Makefile.in.ewmh-save fvwm/Makefile.in
	mv -f modules/Makefile.in.ewmh-save modules/Makefile.in
	mv -f config.h.in.ewmh-save config.h.in
	mv -f configure.ewmh-save configure
	#mv -f stamp-h.in.ewmh-save  stamp-h.in
	patch -p0 -R < $PACKAGE-$VERSION/$FVWM_PATCH_NAME
	touch -m -t 200110081159 aclocal.m4
	touch -m -t 200110081159 configure
	touch -m -t 200110081159 stamp-h.in
	touch -m -t 200107221426 acconfig.h
	touch -m -t 200109191305 configure.in
	touch -m -t 200108152145 acinclude.m4
	touch -m -t 199912070001 modules/Makefile.am
	touch -m -t 200110081219 modules/Makefile.in
	touch -m -t 200107221426 fvwm/Makefile.am
	touch -m -t 200110081219 fvwm/Makefile.in
else
	echo "apply fvwm-ewmh patches"
	rm -rf modules/$MODULE
	if [ ! -f modules/Makefile.in.ewmh-save ]; then
	    mv -f modules/Makefile.in modules/Makefile.in.ewmh-save
	fi
	if [ ! -f fvwm/Makefile.in.ewmh-save ]; then
	    mv -f fvwm/Makefile.in fvwm/Makefile.in.ewmh-save
	fi
	if [ ! -f  config.h.in.ewmh-save ]; then
	    mv -f config.h.in config.h.in.ewmh-save
	fi
	if [ ! -f  configure.ewmh-save ]; then
	    mv -f configure configure.ewmh-save
	fi
	#if [ ! -f  stamp-h.in.ewmh-save ]; then
	#    mv -f stamp-h.in stamp-h.in.ewmh-save
	#fi
	echo "untar $MODULE.tar:"
	tar xvf $PACKAGE-$VERSION/$MODULE.tar
	echo "apply FVWM patch:"
	patch -p0 < $PACKAGE-$VERSION/$FVWM_PATCH_NAME
	# fix reruning of ./configure and warning on a none devel machine
	touch -m -t 200110081159 aclocal.m4
	touch -m -t 200110081159 configure
	touch -m -t 200110081159 stamp-h.in
	touch -m -t 200107221426 acconfig.h
	touch -m -t 200109191305 configure.in
	touch -m -t 200108152145 acinclude.m4
	touch -m -t 199912070001 modules/Makefile.am
	touch -m -t 200110081219 modules/Makefile.in
	touch -m -t 200107221426 fvwm/Makefile.am
	touch -m -t 200110081219 fvwm/Makefile.in
	echo ""
	echo "if no errors happen you can now type:"
	echo "     cd ../; ./configure [options]; make"
	echo "and under the good user (maybe root)"
	echo "     make install"
	echo ""
fi

