/* Copyright 2001, Olivier Chapuis. No guarantees or warantees or anything
 * are provided or implied in any way whatsoever. Use this program at your
 * own risk. Permission to use this program for any purpose is given,
 * as long as the copyright is kept intact. */

/* This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#define _NET_WM_STATE_ADD       1
#define _NET_WM_STATE_REMOVE    0
#define _NET_WM_STATE_TOGGLE    2

#define _NET_WM_MOVERESIZE_SIZE_TOPLEFT      0
#define _NET_WM_MOVERESIZE_SIZE_TOP          1
#define _NET_WM_MOVERESIZE_SIZE_TOPRIGHT     2
#define _NET_WM_MOVERESIZE_SIZE_RIGHT        3
#define _NET_WM_MOVERESIZE_SIZE_BOTTOMRIGHT  4
#define _NET_WM_MOVERESIZE_SIZE_BOTTOM       5
#define _NET_WM_MOVERESIZE_SIZE_BOTTOMLEFT   6
#define _NET_WM_MOVERESIZE_SIZE_LEFT         7
#define _NET_WM_MOVERESIZE_MOVE              8   /* Movement only */

#define FVWM_NET_SET_ICON_MODE_NO                0
#define FVWM_NET_SET_ICON_MODE_ADD               1
#define FVWM_NET_SET_ICON_MODE_SIZE_OVERRIDE     2
#define FVWM_NET_SET_ICON_MODE_OVERRIDE          3

#define DO_NOT_SEND_NET_ICON       0
#define DO_SEND_NET_ICON           1
#define DO_SEND_NET_ICON_ALL       2

#define STAYS_ON_TOP_NONE                  0
#define STAYS_ON_TOP_SET_BY_APPLICATION    1
#define STAYS_ON_TOP_SET_BY_USER           2

#define DEFAULT_NET_ACTIVATE_WINDOW_CMD  "Silent Iconify Off, Silent Raise, Silent Focus"
#define DEFAULT_NET_CLOSE_WINDOW_CMD     "Silent Close"

#define PING_ACTION_INFO      0
#define PING_ACTION_PING      1
#define PING_ACTION_DELETE    2
#define PING_ACTION_CLOSE     3
#define PING_ACTION_DESTROY   4
#define PING_ACTION_PING_TERM 5
#define PING_ACTION_PING_KILL 6


/* no configrable defaults */
#define LAYER_NET_WM_WINDOW_TYPE_DESKTOP         0
/* hum ... .? */
#define MAX_NUMBER_OF_DESKTOPS 100
#define DEFAULT_NUMBER_OF_DESKTOPS 4

/* extern functions */
void *NET_AtomGet(Window win, Atom to_get, Atom type, int *size);
void NET_ProcessPropertyNotify(XEvent *Event);
void NET_ProcessClientMessage(XEvent *Event);
void NET_Init(void);
void NET_UpdateMaximizedWindows(void);
void NET_StrutMaximize(int horiz, int vert, int action, NetWindow *netwin);
void NET_SetClientList(void);
void NET_SetStackingList(void);
void NET_SetFrameStrut(NetWindow *netwin);
void NET_SetDesktopWorkArea(void);
void NET_SetVisibleName(NetWindow *netwin, Bool is_icon_name);
void NET_DeleteVisibleNames(Window w);
Atom NET_HandleWindowType(NetWindow *netwin);
void NET_HandleWMState(NetWindow *netwin,int *do_skip_pager,
		       int *is_net_stays_on_top, int *is_modal);
void NET_HandleKdeSysTray(Window w);
void NET_ReconfigureWindowType(NetWindow *netwin);
void NET_PingWindow(NetWindow *netwin,int action,int time_out);
void NET_GetWindowStrut(int *x, int *y, int *width,int *height, Window w);
void NET_GetWmIconGeometry(int *x, int *y, int *width, int *height, Window w);
unsigned char *NET_GetDesktopNames(unsigned int *size);
long NET_GetNumberOfDesktops(void);
void NET_GetStrut(int *left,int *right,int *top,int *bottom,int desk,int dyn);
void NET_SetCurrentDesktop(void);
void NET_SetDesktopViewPort(void);
void NET_SetDesktopGeometry(void);
void NET_SetDesktopNames(unsigned char *val, int i);
void NET_SetNumberOfDesktops(void);
void NET_SetActiveWindow(void);
void NET_SetWMState(NetWindow *netwin);
void NET_SetAll(void);

