/*
 * Copyright 2001, Olivier Chapuis. No guarantees or warantees or anything
 * are provided or implied in any way whatsoever. Use this program at your
 * own risk. Permission to use this program for any purpose is given,
 * as long as the copyright is kept intact. */

/* This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

typedef struct ping_item
{
  Window w;
  int p_id;
  int p_action;
  time_t p_time;
  time_t p_time_out;
  pid_t p_pid;
  struct ping_item *next;
} PingItem;

typedef struct
{
  PingItem *head,*tail;
} PingWindowList;

typedef struct item
{
  Window w;
  struct item *next;
} Item;

typedef struct
{
  Item *head,*tail;
} WindowList;

void InitList(WindowList *list);
void InitPingList(PingWindowList *list);
void AddItem(WindowList *list, Window w);
Bool IsItemInList(WindowList *list,Window w);
void AddPingItem(PingWindowList *list, Window w,
		 int id,int action, time_t time, time_t time_out, pid_t pid);
void DeleteItem(WindowList *list, Window w);
void FreeList(WindowList *list);
void DeletePingItem(PingWindowList *list, int id);
Bool IsPingItemInfo(PingWindowList *list, int id);
void RestackList(WindowList *list, unsigned long *body, unsigned long length);
